
% FIG 3

% Simulate one-quantum-per-spike charge entry to the nulcear soma

% Create an array of 2,000 0s representing a time interval of 200 ms
% divided into tenths of a ms

% Create the shape of charge entry with a peak-and-tail signature of trans-
% membrane currrent, with an adjustable time constant. It is unnecessary to 
% also adjust peak amplitude because the functional relevance of changing 
% either is through the effect it has on the shape of the signature, and 
% the effect of changing amplitude is the same as inversely proportionally 
% changing the time constant. 

x = -4:0.05:4;

amp = 1; % amplitude gain

gaussian = @(x) (1/sqrt((2*pi))*exp(-x.^2/2))*amp
skewedgaussian = @(x,alpha) 2*gaussian(x).*normcdf(alpha*x)
plot(x, gaussian(x))
hold on
plot(x, skewedgaussian(x, 4))
plot(x, skewedgaussian(x, -4))
plot(x, skewedgaussian(x, 1))
plot(x, skewedgaussian(x, -1))


